/**
  Numarul de cifre ale lui n in baza B


      k = int(log2(n) / log2(B)) + 1  - Raspunsul exact
*/
#include <iostream>
#include <cmath>
using namespace std;

int NrCifre1(int n, int b)
{
    int cnt {0};
    while (n)
    {
        cnt++;  // numar ultimul bit
        n /= b; // "taiem" ultimul bit
    }
    return cnt;
}

int NrCifre2(int n, int b)
{
   return (int)(log2(n) / log2(b)) + 1;
}


int main()
{
    int n, b;
    cin >> n >> b;
    cout << NrCifre1(n, b) << '\n';
    cout << NrCifre2(n, b) << '\n';

}


