/**
    Set Bit
    Setam bitul k al lui n.
    (il facem 1)

    Setare: n =  n | (1 << k);

    k = 4
    n = 1001001 |
          10000      (1 << k)
        =======
        1011001

    k = 4
    n = 1010101 |
          10000
        =======
        1010101
*/
#include <iostream>
using namespace std;

void B2(int n)
{
   int c[32], k = 0;

   while (n)
   {
        c[++k] = n % 2;
        n /= 2;
   }

    for (int i = k; i >= 1; --i)
        cout << c[i];

    cout << '\n';
}

int main()
{
    int n, k;
    cin >> n >> k;
    B2(n);

    n = n | (1 << k);

    n |= 1 << k;

    B2(n);
}


