/**
    Test Bit
    Testam daca bitul k al lui n este setat.
    (verificam daca bitul k este 1)

    Testare: (n >> k) & 1

    k = 3
    n = 1011001

    n >> k = 1011 &
                1
             ====
                1  => bitul k este setat (1)

    k = 3
    n = 1010101

    n >> k = 1010 &
                1
             ====
                0  => bitul k este nesetat (0)
*/
#include <iostream>
using namespace std;

void B2(int n)
{
   int c[32], k = 0;

   while (n)
   {
        c[++k] = n % 2;
        n /= 2;
   }

    for (int i = k; i >= 1; --i)
        cout << c[i];

    cout << '\n';
}

int main()
{
    // Testam bitul k al lui n
    int n, k;
    cin >> n >> k;

    B2(n);

    if ((n >> k) & 1)
        cout << "bitul " << k << " este setat (1)";
    else
        cout << "bitul " << k << " este nesetat (0)";
}


