/*  
 * Cautare binara pe biti
 * 
 * v = 60
 *                       v =  60
 * 
 *   2    3    7    9    12   15  21   34    41   50    60    71    100
 * a[1] a[2] a[3] a[4] a[5] a[6] a[7] a[8] a[9] a[10] a[11] a[12] a[13]  
 *                                                       i 
 * i = 11
 * in baza 2, i  = 1011 = 1000 + 10 + 1
 * 
 * 
 * p = 16 = 10000     i = 0
 * p = 8 =  1000      i = 1000
 * p = 4 =  100       i = 1000
 * p = 2 =  10        i = 1010
 * p = 1 =  1         i = 1011  
 * p = 0 =  0         i = 1011  
 */
#include <iostream>
using namespace std;

int a[] = {0, 2, 3, 7, 9, 12, 15, 21, 34, 41, 50, 60, 71, 100};
int n = 13;

// returneaza pozitia poz celei mai mari valori a[poz] <= v (cea mai din dreapta)
int Cb1(int v) // O(log2(n))
{
	int poz = -1, st = 1, dr = n, m;
	if (v > a[n]) return n;
	while (st <= dr)
	{
		m = (st + dr) / 2;
		if (a[m] <= v)
		{
			poz = m;
			st = m + 1;
		}
		else
			dr = m - 1;
	}
			
	return poz;
}

// returneaza pozitia poz a celei mai mici valori a[poz] >= v (cea mai din stanga)
int Cb2(int v) // O(log2(n))
{
	int poz = -1, st = 1, dr = n, m;
	if (v < a[1]) return 1;
	
	while (st <= dr)
	{
		m = (st + dr) / 2;
		if (a[m] >= v)
		{
			poz = m;
			dr = m - 1;
		}
		else
			st = m + 1;
	}
	return poz;
}

int main()
{
	int v;
	cin >> v;
	cout << Cb1(v) << ' ' << Cb2(v);
}


