/**
    Deplasare (shiftare) la dreapta pe biti (>>)

    n >> k;
    n >> k; - Efect: deplasarea reprezentarii binare a lui n
                     la dreapta cu k pozitii.
                     Ultimii k biti ai lui n dispar

    k = 4
    n = 11010111

    n >> k == 1101 == n / 2^k

*/
#include <iostream>
using namespace std;

void B2(int n)
{
   int c[32], k = 0;

   while (n)
   {
        c[++k] = n % 2;
        n /= 2;
   }

    for (int i = k; i >= 1; --i)
        cout << c[i];

    cout << '\n';
}

int main()
{
    int n, k;
    cin >> n >> k;
    B2(n);
    B2(n >> k);

  //  n = n >> k;
    n >>= k;
    B2(n);
}


