/**
    Deplasare (shiftare) la stanga pe biti (<<)

    n << k; - Efect: deplasarea reprezentarii binare a lui n
                     la stanga cu k pozitii. Pozitiile libere se completeaza cu 0
              (se adauga k biti de 0)

    k = 4
    n = 1101

    n << k == 11010000 == n * 2^k

*/
#include <iostream>
using namespace std;

void B2(int n)
{
   int c[32], k = 0;

   while (n)
   {
        c[++k] = n % 2;
        n /= 2;
   }

    for (int i = k; i >= 1; --i)
        cout << c[i];

    cout << '\n';
}

int main()
{
    int n, k;
    cin >> n >> k;
    B2(n);
    B2(n << k);

    //n = n << k;
    n <<= k;
    B2(n);
}


