/**
    SAU Exclusiv (XOR) logic pe biti (^)
    (ecchivalent cu adunarea modulo 2)
    Tabela de adevar:

    0 ^ 0 = 0
    1 ^ 0 = 1
    0 ^ 1 = 1
    1 ^ 1 = 0

    a = 1010011 ^
    b =  110110
        =======
        1100101

*/
#include <iostream>
using namespace std;

void B2(int n)
{
   int c[32], k = 0;

   while (n)
   {
        c[++k] = n % 2;
        n /= 2;
   }

    for (int i = k; i >= 1; --i)
        cout << c[i];

    cout << '\n';
}

int main()
{
    int a, b;
    cin >> a >> b;
    B2(a);
    B2(b);

    B2(a ^ b);

  //  a = a ^ b;
    a ^= b;   /// operator de atribuire combinat
    B2(a);
}


