/**
    Generarea submultimilor unei multimi

    Fie M o multime cu n elemente.
    Ex:
        M  = {10, 20, 30, 40, 50};    n = 5

       msk =   0   0   0   0   0  => { }
               1   0   1   1   0  => {10, 30, 40}
               0   1   0   1   1  => {20, 40, 50}
               ......
    2^n - 1 =  1   1   1   1   1  => {10, 20, 30, 40, 50}
    2^n =   1  0  0    0   0   0

    NrSubm(n): 2 * 2 * 2 * 2 * 2 = 2^n

    2^n =   1  0   0   0   0   0

*/
#include <iostream>
#include <cmath>
using namespace std;


int main()
{
   int n = 5;
   int M[] = {0, 10, 20, 30, 40, 50};
   //             i

   /// O(2^n)
   for (int msk = 0; msk < (1 << n); ++msk)
   {
        // bitii lui msk codifica o submultime
        cout << "{ ";
        for (int i = 0; i < n; ++i)
        {
            if (msk & (1 << i)) // daca ultimul bit al mastii este 1
                cout << M[i + 1] << ' ';
        }

        cout << "}\n";
   }
}


