/**
 * Cautare binara pe biti
 *
 *                                            v = 60
 *
 *
 *   2    3    7    9    12   15  21   34   41   50    60    71    100
 * a[1] a[2] a[3] a[4] a[5] a[6] a[7] a[8] a[9] a[10] a[11] a[12] a[13]
 *                                                       i
 * i = 11
 * in baza 2,  i  = 1011 = 1000 + 10 + 1
 * in baza 10, i =  11   =   8  + 2  + 1
 *
 *   Fie p cea mai mica putere a lui 2 a.i. p >= n

 * p = 16 = 10000     i = 0
 * p = 8 =  1000      i = 1000
 * p = 4 =  100       i = 1000
 * p = 2 =  10        i = 1010
 * p = 1 =  1         i = 1011
 * p = 0 =  0         i = 1011

   if (p + i <= n && a[i + p] <= v)
        i += p;
 */
#include <iostream>
using namespace std;

int a[] = {0, 2, 3, 7, 9, 12, 15, 21, 34, 41, 50, 60, 71, 100};
int n = 13;

// returneaza poz a celei mai mari valori a[i] a.i. a[i] <= v
int Cb(int v) // O(log2(n))
{
	// pt p vrem ca valoare initiala, cea mai mica putere a lui 2
	// mai mare sau egala cu n
	int p = 1, i;
	while (p < n)
		p <<= 1;

	for (i = 0; p; p >>= 1)
		if (i + p <= n && a[i + p] <= v)
			i += p;

	return i;
}


int main()
{
	int v;
	cin >> v;
	cout << Cb(v);
}


