#include <vector>
using namespace std;

const int MAX_N = 13, MAX = 2000;



class CollectingMarbles
{
	int dp[1 << MAX_N];
public:

	int mostMarbles(vector <int> w, int capBag, int nrBags)
	{
		int N = w.size();
		int ret = 0;

        // dp[i] = nr minim de saci folosit pentru depozitarea elementelor din masca i
		for (int i = 0; i < (1 << N); ++i)
			dp[i] = MAX;
		dp[0] = 0;   // caz de baza
		
		for (int j = 0; j < (1 << N); ++j) // pt fiecare multime j (masca) de obiecte care sa-mi umple un singur rucsac
		{
			int sum = 0;
			for (int k = 0; k < N; ++k) 
				if (j & (1 << k)) 
					sum += w[k];  // suma greutatilor obiectelor din masca j
					
		    // daca obiectele din masca j incap intr-un singur sac
			if (sum <= capBag)
			{
				for (int i = 0; i < (1 << N); ++i)  // pt fiecare submultime i de obiecte care nu umple toti rucsacii
					if (!(i & j) && dp[i] < nrBags) // si submultimile i si j sunt disjuncte
						dp[i | j] = min(dp[i | j], dp[i] + 1); // obiectele din masca j merg intr-un sac, iar cele din submultimea i in dp[i] saci
			}
        }

	    for (int mask = 0; mask < 1 << N; ++mask)
			if(dp[mask] <= nrBags)                           // pt fiecare submultime de obiecte care nu umple toti rucsacii
				ret = max(ret,  __builtin_popcount(mask));   // retin submultimea cu cele mai multe obiecte (mai multi biti) 

	    return ret; 
  }
};

int main()
{

}
